@ECHO OFF

ECHO ----- Assembling Hangman for TI-83 Ion...
SET ERROR=TI-83 Ion
ECHO #define TI83 > temp.asm
TYPE hangman.asm >> temp.asm
TASM -80 -S -I -B temp.asm hangman.bin
IF ERRORLEVEL 1 GOTO ERRORS
DEVPAC83 hangman

ECHO ----- Assembling Hangman for TI-83+ Ion...
SET ERROR=TI-83+ Ion
ECHO #define TI83P > temp.asm
TYPE hangman.asm >> temp.asm
TASM -80 -I -B temp.asm hangman.bin
IF ERRORLEVEL 1 GOTO ERRORS
DEVPAC8X hangman

ECHO ----- Assembling Hangman for TI-83+ MirageOS...
SET ERROR=TI-83+ MirageOS
ECHO #define MIRAGE > temp.asm
TYPE hangman.asm >> temp.asm
TASM -80 -I -B temp.asm hangmanm.bin
IF ERRORLEVEL 1 GOTO ERRORS
DEVPAC8X hangmanm

ECHO ----- Assembling Hangman for TI-86...
SET ERROR=TI-86
ECHO #define TI86 > temp.asm
TYPE hangman.asm >> temp.asm
TASM -80 -I -B temp.asm hangman
IF ERRORLEVEL 1 GOTO ERRORS
PRGM86 hangman

ECHO.
ECHO.
ECHO ----- SUCCESS :)
ECHO TI-83 Ion version is hangman.83p
ECHO TI-83+ Ion version is hangman.8xp
ECHO TI-83+ MirageOS version is hangmanm.8xp
ECHO TI-86 version is hangman.86p
GOTO DONE

:ERRORS
ECHO ----- There were errors with the %ERROR% version!

:DONE
IF EXIST temp.asm DEL temp.asm > NUL
IF EXIST hangman.bin DEL hangman.bin > NUL
IF EXIST hangman DEL hangman > NUL
IF EXIST hangmanm.bin DEL hangmanm.bin > NUL
IF EXIST temp.lst DEL temp.lst > NUL
PAUSE
